1. deejunx's Avatar
    so i was trying to download the AppWorld on my 8900 today from my mac, and i entered my email.. and so i followed the link straight from the BB. When I clicked download, here's the message i got:

    Notice
    Sorry, your device does not meet the system requirements that are needed to support BlackBerry AppWorld.

    I'm running on 4.6.1.109 and the minimum is 4.2. I should be ok right?
    04-05-09 01:08 AM
  2. shorynot's Avatar
    What do you have you're browser setting at? Try changing it to blackberry if its not already

    Posted from my CrackBerry at wapforums.crackberry.com
    04-05-09 01:11 AM
  3. aristile's Avatar
    04-05-09 01:12 AM
  4. deejunx's Avatar
    What do you have you're browser setting at? Try changing it to blackberry if its not already

    Posted from my CrackBerry at wapforums.crackberry.com
    Browser identification is already on BlackBerry.. and i'm using the BB browser, not Opera, etc..
    04-05-09 01:14 AM
  5. deejunx's Avatar
    aah.. from the thread, i found that BlackBerry App World is only available to customers in US, Canada and UK and may not be available on all networks

    i'm not in either of those countries... so i guess i'm out of luck?
    04-05-09 01:17 AM
  6. soundium's Avatar
    Yes, you cannot use appworld cause you are not in us, canada and uk. Appworld is specific to the carriers.

    Posted from my CrackBerry at wapforums.crackberry.com
    04-05-09 01:57 AM
  7. Artemis68's Avatar

    i'm not in either of those countries... so i guess i'm out of luck?
    'Fraid Not.

    Don't feel too bad though, it's not all that interesting. All the free apps that are listed are basically what everyone has anyway (Facebook, Viigo, etc.) The paid apps you could get from other sites. AppWorld is just a convenient portal to them that makes you use paypal.

    Although I did find 2 new freeware programs that I didn't know about before...

    I found one called "Wallet" by RIM for blackberry.
    Another called "Bloomberg" which can check stocks for you, and you can personalize it.

    Both are freeware!
    04-05-09 03:37 AM
  8. julian7492's Avatar
    I'm also getting the notice that i don't meet the requirements. I'm on at&t on and international unlocked 8900. Can anyone help me??

    Posted from my CrackBerry at wapforums.crackberry.com
    04-05-09 06:28 AM
LINK TO POST COPIED TO CLIPBOARD